Package com.smartgwt.client.types

# Enum MockDataType

java.lang.Object
java.lang.Enum<MockDataType>
com.smartgwt.client.types.MockDataType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<MockDataType>`, `Constable`

public enum MockDataType extends Enum<MockDataType> implements ValueEnum
Whether the mock data is for a flat grid-like dataset or for a tree. If "grid" is specified, text shortcuts that would cause a hierarchy to be created (such as starting a line with "[+]") will not have special meaning and be considered to be just a normal data value.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GRID`
  Mock data for a ListGrid
  `TREE`
  Mock data for a TreeGrid

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static MockDataType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MockDataType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GRID

    public static final MockDataType GRID
    Mock data for a ListGrid

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "grid".

  - ### TREE

    public static final MockDataType TREE
    Mock data for a TreeGrid

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "tree".

- ## Method Details

  - ### values

    public static MockDataType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MockDataType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`